
# 平臺簡介
CocoBlockly Pi是用于"CocoPi"硬件程序设计平台，可支持图形化与Python代码式两种程序设计环境。

## 程式設計界面

1.代碼式設計網站：<a href="https://pi.cocorobo.cn/python/" target="_blank">pi.cocorobo.cn/python</a>

2.2. 界面功能區：
<img src="../media/開始使用CocoBlocklyPi/417e343f-0f1a-477c-8217-93212756b6f0.png" width="750"/>


| 序號	|           功能區             |  描述                |
| ----  | ------------------------  | ------------------------ |
|  ①	|          程式設計區 	     |  在此區域中以進行代碼程式設計。  |
|  ②	|          檔存儲區 	     |  程式命名、保存（程式保存為*.py*檔）、刪除所有代碼。  |
|  ③	|          輔助區 	     |  樣例載入、學習資料、專案檔導入及匯出、語言設置以及使用者登入其中，"學習"按鈕可以跳轉至EDU或者AIHUB學習平臺。  |
|  ④	|          交互區 	     |  終端交互區：當用戶想通過shell命令和模組交互時可在此區域輸入命令或者查看對應顯示。串口資料顯示區：用於串列通訊的調試和資料監測。  |
|  ⑤	|         <div style="width:100px">上載區</div> 	     |  使用者可選擇運行程式或者上載程式以及進行重啟、關機等操作。**“運行”**按鈕：單次運行程式；**“上載”**按鈕：上載程式到模組中，之後可重複執行；**“停止”**按鈕：程式運行中，可以中止運行並返回主功能表；**“重啟設備”**按鈕： 重新開機硬體，與物理重定一樣的效果；**"關機"**按鈕：如果需要插拔資料線，需要首先點擊"關機"按鈕，等待5秒後再拔出資料線，因為CocoPi底層運行的是Linux作業系統，類似微型電腦，如果突然斷電，有可能會造成系統檔損壞，影響設備的運行；**“斷開連接”**按鈕：斷開CocoPi與電腦的連接，CocoPi內置Shell將無法通過終端交互視窗控制。  |


## 設備連接與上載

### 設備連接
<img src="../media/開始使用CocoBlocklyPi/f539f95d-1d52-4517-83c3-6479c094533b.png" width="750"/>

| 序號	|           描述             |
| ----  | ------------------------  |
|  ①	|          點擊【添加】按鈕，將CocoPi硬體以有線方式與電腦連接。	     |
|  ②	|          在彈出的彈窗中選擇[來自"Google Inc"提供的未知設備]。	     |
|  ③	|          點擊彈窗中的【連接】按鈕，完成設備添加。 	     |
|  ④	|          點擊【連接設備】按鈕，“有線上載”旁的圖示顯示為綠色對號時，表示硬體已成功連接。 |


### 程式上載

<img src="../media/開始使用CocoBlocklyPi/f539f95d-1d52-4517-83c3-6479c094533b.png" width="750"/>

當設備通過“有線上載”方式與電腦成功連接，頁面右側將自動跳轉到終端交互窗，並且右小角【運行】、【上載】、【重啟設備】、【關機】【斷開連接】等按鈕變藍表示模組連接成功。上載區介面顯示“設備已連接，可以運行程式”即可“運行”或“上載”設計完成的程式。

<!-- ## 帳號註冊

注册并登录CocoRobo帐户后，可以使用CocoBlockly Pi平台的更多功能。

1.单击右上角【登入】按钮，在弹出的登录窗口单击【注册】，或选择第三方登录，直接使用微信登录。

<div style="width:100%;text-align:center;margin-bottom:20px;display:flex;justify-content: space-between;">
 <img src="../media/開始使用CocoBlocklyPi/f7da71ba-a9eb-47c9-8414-6f688629b2cf.png"><br>
</div>

2.进入注册接口后，输入电子邮箱、密码及学校名称（可不填）后，单击【注册】。

<div style="width:100%;text-align:center;margin-bottom:20px;display:flex;justify-content: space-between;">
 <img src="../media/開始使用CocoBlocklyPi/7db8f71e-c93e-4a76-a4b9-d5ac97554c66.png" ><br>\
</div> -->
